net.corda.flows

## Class FetchDataFlow.Request

- net.corda.flows.FetchDataFlow.Request

- Enclosing class:
    FetchDataFlow<T extends NamedByHash,W>

      public static class FetchDataFlow.Request

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request(java.util.List<? extends net.corda.core.crypto.SecureHash> hashes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<net.corda.core.crypto.SecureHash>` | `component1()`
    `FetchDataFlow.Request` | `copy(java.util.List<? extends net.corda.core.crypto.SecureHash> hashes)`
    `boolean` | `equals(java.lang.Object p)`
    `java.util.List<net.corda.core.crypto.SecureHash>` | `getHashes()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Request

          public Request(java.util.List<? extends net.corda.core.crypto.SecureHash> hashes)

  - ### Method Detail

    - #### getHashes

          public java.util.List<net.corda.core.crypto.SecureHash> getHashes()

    - #### component1

          public java.util.List<net.corda.core.crypto.SecureHash> component1()

    - #### copy

          public FetchDataFlow.Request copy(java.util.List<? extends net.corda.core.crypto.SecureHash> hashes)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)